﻿using System;
using System.Collections.Generic;
using System.Text;

using Com.Piwigo.Lib.DTO;
using System.Web;
using Com.Piwigo.Lib.Proxy.Response;
using Com.Piwigo.Lib.Proxy.Helper;

namespace Com.Piwigo.Lib.Proxy
{
    static class PwgImagesProxy
    {
        /// <summary>
        /// pwg.images.rate
        /// </summary>
        /// <param name="imageId"></param>
        /// <param name="imageRate"></param>
        /// <returns></returns>
        static public PwgImageRateProxyResponse pwg_images_rate(Int32 imageId, Int32 imageRate)
        {
            PwgImageRateProxyResponse response = null;
            try
            {
                StringBuilder data = new StringBuilder();
                data.Append("method=pwg.images.rate");
                Boolean firstOcc = false;
                PwgProxyReponseHelper.buildQueryFromValue<Int32>(imageId, "image_id", ref firstOcc, data);
                PwgProxyReponseHelper.buildQueryFromValue<Int32>(imageRate, "rate", ref firstOcc, data);

                response = PwgGenericProxy<PwgImageRateProxyResponse>.Post(
                    PwgConfigProxy.PwgServeurUriBuilder.Uri,
                    data.ToString());
            }
            catch (Exception ex)
            {
                throw new PwgProxyException("pwg_images_rate", ex);
            }

            return response;
        }

    }

}

