﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using Com.Piwigo.Lib.DTO;

namespace Com.Piwigo.Lib.Proxy.Response
{

    [Serializable()]
    [XmlRoot(ElementName = "rsp")]
    public class PwgImageRateProxyResponse : PwgBaseProxyReponse
    {
        [XmlElement("count")]
        public Int32 Count { get; set; }
        [XmlElement("average")]
        public String Average { get; set; }
        [XmlElement("stdev")]
        public String Stdev { get; set; }
    }

    [Serializable()]
    [XmlRoot(ElementName = "categorie")]
    public class PwgImageProxyResponse
    {
        [XmlAttribute(AttributeName = "id")]
        public Int32 Id { get; set; }
        [XmlAttribute(AttributeName = "width")]
        public Int32 Width { get; set; }
        [XmlAttribute(AttributeName = "height")]
        public Int32 Height { get; set; }
        [XmlAttribute(AttributeName = "file")]
        public String File { get; set; }
        [XmlAttribute(AttributeName = "tn_url")]
        public String UrlThunb { get; set; }
        [XmlAttribute(AttributeName = "element_url")]
        public String UrlElement { get; set; }
        [XmlAttribute(AttributeName = "high_url")]
        public String UrlHighDef { get; set; }
        [XmlAttribute(AttributeName = "hit")]
        public Int64 Counter { get; set; }

        [XmlArray("tags")]
        [XmlArrayItem("tag")]
        public PwgTagProxyResponse[] Tags { get; set; }

        [XmlArray("categories")]
        [XmlArrayItem("category")]
        public PwgCategoryProxyResponse[] Categories { get; set; }

    }

    [Serializable()]
    [XmlRoot(ElementName = "images")]
    public class PwgImageListProxyResponse
    {
        [XmlAttribute("page")]
        public Int32 Page;
        [XmlAttribute("per_page")]
        public Int32 PerPage;
        [XmlAttribute("count")]
        public Int32 Count;

        [XmlElement("image", typeof(PwgImageProxyResponse))]
        public PwgImageProxyResponse[] Images { get; set; }


    }

    [Serializable()]
    [XmlRoot(ElementName = "rsp")]
    public class PwgImagesProxyResponse : PwgBaseProxyReponse
    {
        [XmlElement("images")]
        public PwgImageListProxyResponse ImageList { get; set; }
    }

}
